<%= form_with(model: landlord, local: true) do |form| %>
  <div class="field">
    <%= form.label :first_name %>

    <%= form.text_field :first_name %>

    <% if landlord.errors[:first_name] %>
      <% landlord.errors[:first_name].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :last_name %>

    <%= form.text_field :last_name %>

    <% if landlord.errors[:last_name] %>
      <% landlord.errors[:last_name].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>

  <div class="field">
    <%= form.label :email %>

    <%= form.text_field :email %>

    <% if landlord.errors[:email] %>
      <% landlord.errors[:email].each do |message| %>
        <p class="errorMessage">
          <%= message %>
        </p>
      <% end %>
    <% end %>
  </div>


  <div class="actions">
    <% if landlord.persisted? %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Update Landlord
      </button>

      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, landlord, class: "destroyButton" %>
    <% else %>
      <button type="submit" name="commit" class="addButton">
        <i class="fa fa-floppy-o" aria-hidden="true"></i>Create Landlord
      </button>
      <%= link_to '<i class="fa fa-times-circle" aria-hidden="true"></i>Cancel'.html_safe, landlords_path, class: "destroyButton" %>
    <% end %>
  </div>
<% end %>
